echo off
cls
echo -
goto %1

:1
:3B
:N
echo                      The /n switch
echo _
echo The /n switch, n being a digit from 0-8, like /3, lets you specify which
echo replacable parameter you want PUTIN to use as the receptacle for your input.
echo Of course, if the r.p. specified by n is null, PUTIN will exit with the
echo error message, "Phooey, it's empty."  Just kidding.
echo -
echo PUTIN never uses r.p.9 for a technical reason.  PUTIN will exit with a
echo different error message if /9 is used.
echo -
echo Here's an example:
echo	PUTIN/0
echo If you're using some rp's and don't want to mess them up,
echo /0 lets you use rp 0 instead of the last non-null rp.
echo -
echo If you don't use the /n switch, PUTIN defaults to the last non-empty rp.
pitut4

:2
:3C
:A
echo                       The /A switch
echo -
echo The /A switch lets you specify the ASCII characters, like a & * 1 Q / : +
echo etc., that PUTIN is to respond to.  The switch always requires a list
echo of these characters that you want, and PUTIN will exit with an error
echo message if it doesn't find that list.  The switch and the list MUST come
echo last because PUTIN takes everything following /A as part of the list.  The
echo switch triggers PUTIN's "hot key" mode (which see elsewhere).  Example:
echo -
echo    PUTIN/A yYnN
echo The user can thus indicate Y or N to a yes-no prompt.
echo -
echo The space can be made a part of the list by repeating it twice immediately
echo after the switch, like this:
echo    PUTIN/A  1234567890aAbBcC
echo The space will be ignored otherwise, so you can use it to space out the
echo individual parts of the list for more readability, like this:
echo    PUTIN/a 1 2 3
pitut4

:3
:3D
:E
echo                          The /E switch
echo -
echo The /E switch lets you specify the extended-code keys that PUTIN is to
echo respond to, such as Home, End, PgUp, PgDn.  Your BASIC handbook may have
echo a section on these keys, including a table that lists the keys' codes.
echo To specify any of those keys, you need to put its code in hexadecimal in
echo the /E list, as shown in the example below.  Note that the code is ALWAYS
echo two digits, so you have to write "3" as "03" in the list.  The output
echo always is the same as the code.  The code for Home is 47, so you put "47"
echo in the list if you want Home to be "hot."  When Home is struck, PUTIN puts
echo "47" in the receptacle.  (The quote marks aren't part of the output.)
echo The /E switch triggers the "hot key" mode (which see elsewhere).
echo       For example, if you want the function keys F1 thru F8 to be hot:
echo    PUTIN/E 3B 3C 3D 3E 3F 40 41 42
echo Omit the spaces if you like.  Or use the hyphen to indicate range:
echo    PUTIN/E 3B-42           (inclusive)
echo You can indicate more than one range, and you could include non-existent
echo keycodes in any range for convenience, like 01-FF.
pitut4

:4
:3E
:F
echo                      The /F switch
echo -
echo The /F switch makes the function keys, F1-F10 "hot."  PUTIN's output is
echo always a digit character 0-9.  For F10, the output is 0; For Fn, n being a
echo digit-character 1-9, the output is likewise n.
echo -
echo Just call PUTIN with the switch, like this:
echo    PUTIN/F
pitut4

:5
:3F
:D
echo    The differences between the "enter data" mode and the "hot key" mode
echo -
echo The mode that PUTIN is in depends on the switches you put on the command
echo line.  Any switch other than /n, n being a digit 0-8, puts PUTIN in the
echo "hot key" mode.  Otherwise, PUTIN is in the "enter data" mode.  The big
echo difference between the modes is the treatment of the ENTER key.  In the
echo "enter data" mode, you have to press ENTER at the last to complete the
echo input.  In the "hot key" mode, pressing ENTER generates a message "Please
echo try again."  And ENTER is otherwise ignored.  When you press a "hot" key,
echo you get immediate action.  The switches /A, /E, and /F are the "hot key"
echo switches.
pitut4

:6
:40
:T
echo                    Error and Escape-key trapping
echo -
echo After detecting an error, PUTIN exits with errorlevel 2.  When the
echo ESCAPE key is struck, PUTIN exits with errorlevel 1.  Generally 
echo speaking, you should put in a trap after each call to PUTIN.  The
echo following example is only a suggestion.
echo -      (part of a batch file)
echo PUTIN
echo if errorlevel 2 goto possibleerr
echo if errorlevel 1 goto escap
echo    . . . (messy batch-file statements of no concern here) . . .
echo :possibleerr
echo echo Error!  The message above specifies the error.
echo :escap
echo echo Getting out of the batch file . . .  Good bye.
echo   (end of batch-file example)
pitut4

:7
:41
:H
echo   ================ 10 hints for programming with PUTIN ====================
type pituth.txt
pitut4

:8
:42
:X
